petsc-3.4.2 2013-07-02

# SNESGSFunction

function used to convey a Gauss-Seidel sweep on the nonlinear function

### Synopsis

    #include "petscsnes.h"
    $    SNESGSFunction(SNES snes,Vec x,Vec b,void *ctx);

| X | - solution vector
| B | - RHS vector
| ctx | - optional user-defined Gauss-Seidel context

### See Also

SNESSetGS(), SNESGetGS()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages